%global tarball xf86-video-vboxvideo
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

Name: x11-driver-video-vboxvideo
Version: 1.0.0
Release: %mkrel 1
Summary: X.org driver for VirtualBox
Group: System/X11
URL: http://xorg.freedesktop.org
License: MIT
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vboxvideo-%{version}.tar.xz

# upstream fixes

BuildRequires: pkgconfig(applewmproto) >= 1.0.0
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(libdrm) >= 2.4.46
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(libudev)
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)


%description
x11-driver-video-vboxvideo is the X.org driver for VirtualBox.

%prep
%setup -qn %{tarball}-%{version}

%build
%configure2_5x --enable-glamor
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{driverdir}/vboxvideo_drv.so
%{_mandir}/man4/vboxvideo.4*


%changelog
* Thu Nov 20 2017 bb2 <bb2> - 1.0.0-1pclos2017
- new version

